package xn.hxp.room.dao;

import androidx.room.Dao;
import androidx.room.Delete;
import androidx.room.Insert;
import androidx.room.OnConflictStrategy;
import androidx.room.Query;
import androidx.room.Update;

import xn.hxp.room.bean.BaseConfig;
import xn.hxp.room.bean.LabInfo;

@Dao
public interface BaseConfigDao {
    @Insert(onConflict = OnConflictStrategy.REPLACE)
    void insert(BaseConfig baseConfig);

    @Query("SELECT * FROM baseConfig")
    BaseConfig getBaseConfig();

    @Update
    void update(BaseConfig baseConfig);

    @Delete
    void delete(BaseConfig baseConfig);

    @Query("DELETE FROM baseConfig")
    void deleteAll();
}
